const { ipcMain } = require("electron");
const { spawn } = require("child_process");
const { copyFileSync, existsSync } = require("fs");
const { basename, join, posix } = require("path");

const handler = win => {
  console.log(existsSync);
  let file = process.argv.slice(process.argv.indexOf(process.execPath) + 1);
  file = file.filter(f => existsSync(f));
  if (file.length === 0) {
    return;
  }
  if (win && win.webContents) {
    win.webContents.executeJavaScript(
      `window.dispatchEvent(new CustomEvent('modal', { detail: {modal: true, file: '${file}'}}));`
    );
  }
  ipcMain.on("modal_upload", (_, data) => {
    const { Id, Name, Source, Target, Username, File } = data;
    try {
      copyFileSync(File, join(Source, basename(File)));
      spawn("docker", [
        "exec",
        Id,
        "cp",
        "-r",
        `${posix.join(Target, basename(File))}`,
        `/home/${Username}/Desktop/`
      ]);
      spawn("docker", [
        "exec",
        Id,
        "chown",
        `${Username}:${Username}`,
        `/home/${Username}/Desktop/${basename(File)}`
      ]);
      if (win && win.webContents) {
        win.webContents.executeJavaScript(
          `window.dispatchEvent(new CustomEvent('uploaded', { detail: {success: true, file: '${basename(
            File
          )}', container: '${Name}'}}));`
        );
      }
    } catch (e) {
      if (win && win.webContents) {
        win.webContents.executeJavaScript(
          `window.dispatchEvent(new CustomEvent('uploaded', { detail: {success: false, file: '${basename(
            File
          )}', container: '${Name}'}}));`
        );
      }
    }
  });
};

module.exports = handler;
