import Vue from "vue";
import App from "./App.vue";
import axios from "axios";

import "./assets/scss/main.scss";
import i18n from "./i18n";

Vue.prototype.$http = axios;
Vue.prototype.$http.defaults.baseURL = "http://localhost:30000";
Vue.prototype.$protocol = process.env.VUE_APP_PROTOCOL;

import dayjs from "dayjs";
import relativeTime from "dayjs/plugin/relativeTime";
import "dayjs/locale/tr";
dayjs.extend(relativeTime);
dayjs.locale("tr");
Vue.prototype.$dayjs = dayjs;

import { library } from "@fortawesome/fontawesome-svg-core";
import {
  faCircle,
  faExternalLinkAlt,
  faFileUpload,
  faPlay,
  faStop,
  faTerminal,
  faTrash,
  faUndo
} from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import "./plugins/element.js";

library.add(
  faPlay,
  faStop,
  faUndo,
  faTrash,
  faExternalLinkAlt,
  faTerminal,
  faCircle,
  faFileUpload
);

Vue.component("icon", FontAwesomeIcon);

Vue.config.productionTip = false;

new Vue({
  i18n,
  render: h => h(App)
}).$mount("#app");
